WordPress 4.9.5, posiblemente la versión más irrelevante y polémica de la historia

WordPress 4.9.5, a punto de salir los primeros días de abril, va a ser seguramente una de las versiones de WordPress al mismo tiempo más polémica e irrelevante.

Digo que será irrelevante porque ninguna de las novedades supone mejora alguna para el usuario de WordPress, pues no hay nada que haga algo por nosotros realmente ¿repasamos?

PHP 7.2 como versión mínima recomendada

Aunque podría verse como buena noticia, en realidad es totalmente irrelevante, y de hecho nadie se daría cuenta de ello salvo que tenga por costumbre leer los archivos readme de cada versión.

Porque el cambio es que en el readme, en vez de recomendar PHP 7.0 recomienda PHP 7.2.

¡Pedazo de novedad para una actualización de WordPress!

Se cambia el texto «Haciendo trampas ¿eh?»

Estamos últimamente en la generación de los ofendiditos, y a alguien se le ha ocurrido que el mensaje de error que a veces muestra WordPress cuando un usuario trata de acceder a una página de administración a la que, por su perfil, no debe acceder, le podría resultar ofensivo.

Sí, ofensivo, porque alguien ha pensado que decir eso es un insulto, como lo lees.

Y por delante vaya que no me parece mal que se sustituya por un texto más explicativo, pero es el motivo del cambio el que me sorprende.

Aún no sé qué texto se pondrá, pero ¡pedazo de novedad para una actualización de WordPress!

Censura en varias frases del plugin Hello Dolly

Lo que lees. Igual que en el caso anterior, alguien en Twitter dijo que algunas frases de la mítica canción Hello Dolly, que ganó un Grammy, y es parte de la cultura musical de todo el planeta, no solo de los EEUU, son ofensivas para la mujer porque están fuera de contexto.

O sea, alguien ha activado un plugin para mostrar las letras de la canción Hello Dolly, le ha molestado alguna frase y, en vez de desactivarlo y/o borrarlo, se ha propuesto que se cambie la letra de Hello Dolly.

Aparte del pedazo de debate que ha abierto este asunto, y no solo sobre la corrección política y la auto-censura, también sobre quién decide qué va en las instalaciones de WordPress (Matt, por supuesto).

Años de peticiones de quitar Akismet de WordPress por ser un plugin de pago que requiere registro en un servicio propietario y nada, alguien se queja de esto y se cambia la letra de una canción mítica.

¡Pedazo de novedad para una actualización de WordPress!

Invitación a que pruebes Gutenberg

Para terminar, en el escritorio de WordPress 4.9.5 (finalmente se aplaza a la versión 4.9.6, bendita alegría) aparecerá una caja que animará a los usuarios a instalar Gutenberg, el futurible nuevo editor de WordPress, con un botón bien grande para instalarlo directamente.

Y todo ello sin avisar de que vas a instalar un plugin en fase beta en tu WordPress activo, que podría provocar problemas en tu instalación activa, por eso, porque está en beta, y no es que pueda tener errores, es que los tiene, y no te funcionarán la mitad de los plugins, y vete a saber qué más problemas.

¡Pedazo de novedad para una actualización de WordPress!

¿Hay más cambios?

Pues decide tu mismo viendo la lista, pero son cambios menores, y poquísimos, ni siquiera aceptables para una actualización de mantenimiento.

Y luego está el asunto de siempre, de quién toma estas decisiones. Matt, como siempre. Una servidumbre nada democrática en un proyecto Open Source.

VALORA Y COMPARTE ESTE ARTÍCULO PARA MEJORAR LA CALIDAD DEL BLOG…
(13 votos, promedio: 4.5)

¿Te gustó este artículo? ¡Ni te imaginas lo que te estás perdiendo en YouTube!

12 comentarios en “WordPress 4.9.5, posiblemente la versión más irrelevante y polémica de la historia”

  1. Pfff vaya mierda de actualización WordPress. He usado la palabra «mierda» para que mi comentario suene ofensivo, así doy un motivo a Disqus para actualizar esta semana santa.

      1. ¿Ahora bien? ¿que pasará con los multisitios? se les mostrará ese botón a los usuarios no admins de la red? en otras ocasiones han sucedido cosas similares, aunque luego estos usuarios no puedan realizar la acción esto no es nada bueno, porque los frustra , incluso se lo toman a lo peronal o no entienden razones por que la plataforma no activa eso.

  2. ¿Son percepciones mías o de verdad se están rezagando mucho con el desarrollo de WordPress? su crecimiento sigue al alza, sigue siendo quizás la mejor opción al momento de elegir un CMS para un proyecto, pero antes había avances, progresión y parece que hemos llegado a un punto de estancamiento bastante preocupante para mi gusto…

    La versión 4.9.5 no trae ninguna mejora o corrección importante y la versión 5, que ya se considera una actualización mayor, la mejora más importante es un nuevo editor de texto que no desea una gran parte de la comunidad y que puede traer más problemas que ventajas… si eso no es para preocuparse… y entre mis opciones no esta el mantener una versión «obsoleta» de WordPress, habrá quien no le importe pero a mi me importa bastante…

    1. Ya, por eso algunos desarrolladores del core han incluso bifurcar WP y que tenga 2 versiones, la Gutenberg y la Classic, pues lo del editor va a provocar muuuuchos quebraderos de cabeza, pero sobre todo que muchos sitios, sobre todo editoriales, no actualicen para no destrozar todo, no tener que dejar de usar tal o cual plugin o no tener que entrenar a todos sus autores (aparte de que para escritores Gutenberg es la mierda).

      Veremos. WordPress avanza en más sentidos, pero es verdad que hasta Gutenberg hay muchas cosas paradas, Automattic – no olvidemos, quien más agente aporta al core – está a full con Gutenberg, el resto … se verá

      1. Me preocupa la integración que pudieran tener dichas bifurcaciones con paneles de control como Parallels Plesk, ya que para administradores de servidores como yo es una herramienta vital pues por la cantidad de instalaciones que pudiera tener los servidores no gestionamos las actualizaciones página por página si no mediante el panel de control.

        Espero y deseo que al final los problemas sean mínimos y esos mínimos problemas puedan resolverse en días… puedo acostumbrarme a Gutenberg siempre y cuando todo lo demás funcione…

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

 

Ir arriba Ir al contenido